Ubuntu

Omnibook 6100 turns off or freezes during boot up

Reported by Gabriel Dragffy on 2007-03-05
44
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
linux-source-2.6.20 (Ubuntu)
Medium
Unassigned

Bug Description

HP Omnibook 6100, trying the Feisty pre-release. Often when starting up I get the Ubuntu logo and progress bar. It gets to about 1/8 a long and then freezes forever. More often than not it won't freeze but the computer will just turn off instantly. Only way I've found to recover it is to keep trying, sometimes unplugging it from the mains (leaving the battery in) and leaving it for several minutes it might decide to start working again.

I don't know how to help with this one, can ony say that Dapper and Edgy work OK with it. After this error occurred I booted in to Knoppix and zipped up /var/logs so I could attach it here, it's all I can think of doing and I hope it helps.

Gabriel Dragffy (dragffy) wrote :

Please find all the log files from the affected machine attached. About 2.4MB download and more than 15MB when uncompressed. If I can be of further assistance, please ask.

Brian Murray (brian-murray) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. Could you please also add the output of 'lspci -vvn' and 'lspci -vv' from a booting linux distro to your bug report? Thanks in advance.

Gabriel Dragffy (dragffy) wrote :

Performed your request under Feisty, I eventually managed to get it to boot. Please find lscpivv and lspcivvn attached.

Changed in linux-source-2.6.20:
assignee: brian-murray → nobody
status: Needs Info → Confirmed
Changed in linux-source-2.6.20:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
Speedy (old-speedy) wrote :

Hi all,
I do have the same problem with same type of HP Omnibook, except that I can't boot 7.04 at all. Even my upgraded kubuntu on hard disk nor the Feisty Beta install cd is bootable at all.
The last mesage I see is something with udev-rules and then Loading hardware drivers..
Then the laptop gets powerd off!

Any suggestion for a solution?

oddeirik (oddeirik) wrote :

On an Omnibook 6100 myself, and I've got the same problem.

The first boot-up after the computer's been off for a while, it gets to "Loading hardware drivers.." or so and it just shuts down. Doesn't sound very healthy. If I just power it up again immediately, it boots just fine. This is on kernel 2.6.20-15-generic.

2.6.17-11-generic from 6.10 works just fine.

oddeirik (oddeirik) wrote :

Please find the attached file containing the output from 'lspci -vvn' and 'lspci -vv'.

ManfredBremen (noregrets60) wrote :

I can also confirm the very same problem with sudden power shutdown while booting Ubuntu 7.04 on a HP Omnibook 6100. Previous version Dapper and Edgy were just fine. The notebook also boots fine under Windows XP (though it sometimes crashes under Windows but that is not a hardware problem but a problem of this Windows system :-)

I also noticed that th boot process under 7.04 is much slower. Before it starts actually accessing the harddisk, the boot process is apparently running idle or waiting.

The sudden power down occurs with a likelihood of approx. 75%. So, 1 out of 4 boot attempts are successful.

SpoZen (forevernoob) wrote :

Please fix this now i dont want to go back to edgy. I have the exact same problem.

arcade (runevi) wrote :

Confirmed again.

Just upgraded my Dapper -> Edgy, and then Edgy -> Feisty.

On bootup the computer shuts down. Worked nicely to boot up from the Edgy-kernel, but as I've got some hardware that would like a newer kernel it would be nice if this bug could be fixed. I'm more than willing to test kernels if someone has a package built for testing this. :)

jan404 (janhlo) wrote :

Another confirm here.

I'd say about 2 out of 3 boot attempts fail, with a sudden power down.

I would also be happy testing a fix for this :)

bebo (bebobr) wrote :

Same problem here, but i've got it with a slackware too with the same kernel version!

ManfredBremen (noregrets60) wrote :

So, it is a kernel bug, not necessarily an Ubuntu bug. Interesting!

bebo (bebobr) wrote :

Yes, now i'm using, on my slackware, the 2.6.18 and it runs without problems, newer versions of the 2.6, instead, turn off on boot.

m_c (nameless00) wrote :

I'm experience similar problem power down when I try to install ubuntu.. I did manage to get install but when try to boot just shut down and I could enter recovery mode but not normal mode..

SpoZen (forevernoob) wrote :

Has anyone tried the latest kernel?

I experienced the same problem and I think I solved it by moving /lib/modules/2.6.22-9-generic/kernel/drivers/char/hw_random/intel-rng.ko to some other place where it can't be found at boottime. I've succesfully restarted my laptop five times in a row now without any issue. I'm running Gutsy, but the fix should work with Feisty too.

Can someone else confirm this is workaround works for them?

ManfredBremen (noregrets60) wrote :

I confirm the workaround by Jeffrey for Feisty (kernel 2.6.20-16-generic). My laptop is a HP Omnibook 6100.
By moving the file intel-rng.ko to some other directory invisible to the bootup, my laptop now boots smoothly. I tried 4 times without problems.

I wonder whether removing the file is harmful in some other way. I hope not :-)

Thanks for positing the workaround!

As far as I understand it, the intel-rng.ko module is in charge of initializing and using the hardware random number generator present on some cpus/chipset combinations, mine doesn't have it (I don't know if there was a version of the Omnibook 6100 which did); so removing it should be pretty harmless :-).

erechm (erechm) wrote :

I have the same problem with a new motherboard ECS GeForce 6100SM-M and a eVGA GeForce 7600GT graphics card. It shuts off after about 1/8 of the boot. The Live CD did the same thing until I booted it in Safe Graphics mode. Then it booted fine and I was able to install Feisty. Now that it is installed, I have no way to boot in safe graphics mode, so it won't boot at all.

I'm a newbie. How do I go about moving or removing "intel-rng.ko"?

Thanks for your help!

ManfredBremen (noregrets60) wrote :

Boot your system from harddisk (safe mode). Then, open a shell window ('terminal') after booting. The terminal can be started via the pull-down menu Accessoires. Click on the Ubunutu logo on the upper left corner to do so.
Then enter the command

   ls /lib/modules

It should display among others something like kernel 2.6.20-16-generic.

Then execute

  cd /lib/modules/2.6.22-9-generic/2.6.22-9-generic/kernel/drivers/char/hw_random/
  sudo mv intel-rng.ko intel-rng.ko.off

This shall rename the filename and thus makes it invisible to the boot process.
You will have to enter your password for the command.

CAUTION: Whether this workaround works for your setup is not at all guaranteed! The bug was reported for HP Omnibook 6100. Hence, your boot problem might have a totally different root cause!!!

If you cannot boot from your hard disk, then I am unsure how you can repair the Feisty installation. If the system boots from the LIVE-CD, you might be able to access the harddisk. That's a different story.

Martin Okle (martinokle) wrote :

I'm having exactly the same problem. I can even not boot from the live-cd and of course I cannot install Feisty at all as this would be my first installation. How can I correct the live-cd so that I can at least boot from it and then hopefully do the installation to the hard disk. I have that failure 100% and was never able to boot Feisty nor Gutsy on my Omnibook 6100. Everything is o.k on my HP Pavilion dv1000.

ManfredBremen (noregrets60) wrote :

If you cannot boot the live cd (even when trying multiple times), I have no idea how to solve the problem. Maybe, it could be possible to make a copy of the live CD with the file intel-rng.ko removed from it? My Omnibook 6100 was so grateful to boot every 4th times or so. I upgraded from Ubuntu 6.06 via the 'update' utility, not via installing from the CD.

Thanks for answering to my bug report. I've now installed Ubuntu 6.07 and
that worked out fine. There was an error message at booting from liveCD at
the Hardware detection level, but at least the OB6100 did not shut off and
the installation continued. I've choosen to use the automated partitionning
as I had Windows XP on that 80GB harddisc, but I think (I did not yet read
thru all the forums), that 6.07 does not offer dual boot login screen as
Feisty or Gutsy does, so I'm left now without Windows. But there is no big
regret for this, as my OB6100 anyway is my testPC, where I try out a lot of
things also for my self-learning purposes.
Regards, Martin and thanks again. I will try now to get hand on the upgrade
utility for 6.07 to Gutsy release.

On 10/30/07, ManfredBremen <email address hidden> wrote:
>
> If you cannot boot the live cd (even when trying multiple times), I have
> no idea how to solve the problem. Maybe, it could be possible to make a
> copy of the live CD with the file intel-rng.ko removed from it? My
> Omnibook 6100 was so grateful to boot every 4th times or so. I upgraded
> from Ubuntu 6.06 via the 'update' utility, not via installing from the
> CD.
>
> --
> Omnibook 6100 turns off or freezes during boot up
> https://bugs.launchpad.net/bugs/89892
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Martin Okle
rte. du Bas du Village 10
1789 Lugnorre FR (http://www.region-vully.ch/haut-vully/)
Tél. 026 673 10 76
Mobile: +41 78 844 13 12
e-mail: <email address hidden>

kildare (kkvasu) wrote :

Hi All
       I have the very same issue with my Omnibook 6100, I have Windows Xp loaded and it boots up 1 in 4 times, stays up for a few minutes and then turns off,thinking it was to do with heat the only thing I could find was it ran fine if I had a vacuum cleaner sucking air thought the vents,but the fan runs also the E-diag thing passed with F10. I have very less knowledge about computer stuff,If someone came with an answer please let us know <email address hidden>
        Might help a lot...

ManfredBremen (noregrets60) wrote :

This is not the same bug! The bug discussed here only occurs with certain version of Linux, not with Windows XP. So, you should perhaps try to find a forum specializing on Windows XP-problems.

kildare (kkvasu) wrote :

Hi
   Thanks a million for the reply

       Vasu

On Nov 19, 2007 1:15 PM, ManfredBremen <email address hidden> wrote:

> This is not the same bug! The bug discussed here only occurs with
> certain version of Linux, not with Windows XP. So, you should perhaps
> try to find a forum specializing on Windows XP-problems.
>
> --
> Omnibook 6100 turns off or freezes during boot up
> https://bugs.launchpad.net/bugs/89892
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Migheleto (mfleischmann) wrote :

I have just updatet from Ubuntu 7.10 to 8.04 with Kernel 2.6.24-16-386. Once finished, during boot, the system shuts down every time.

I had to rename intel-rng.ko.off back to intel-rng.ko (the filename was taken directly during update)

cd /lib/modules/2.6.24-16-386/kernel/drivers/char/hw_random/
sudo mv intel-rng.ko.off intel-rng.ko

So eventually everyone who "workarounded" the shutdown-problem for Gutsy, would have probably the same problem updating to Hardy....

James Stephenson (scifioo7) wrote :

I'm wondering if this could be fixed on the hardware side. What BIOS versions are people running? I have M2.40 on my machine. There is an update to M2.41. In the list of fixes, it mentions fixing a bug in the system clock. Since random number generators often use the system clock (and I've been seeing errors about the system lock during verbose start-ups), I wonder if this might be contributing to this problem?

James Stephenson (scifioo7) wrote :

After flashing the laptop BIOS to 2.41 I was able to successfully boot into the 7.10 live cd, boot into the ubuntu 8.04 live cd, and boot and install xubuntu 8.04. Once installed, I haven't had any issue booting off of the hard drive. It appears the BIOS update dramatically reduces the severity of this issue. I haven't tested extensively enough to say that it solves the problem, but being able to boot into and install 8.04 is a significant improvement.

Beginning with the Hardy Heron 8.04 development cycle, all open Ubuntu kernel bugs need to be reported against the "linux" kernel package. We are automatically migrating this bug to the new "linux" package. However, development has already began for the upcoming Intrepid Ibex 8.10 release. It would be helpful if you could test the upcoming release and verify if this is still an issue - http://www.ubuntu.com/testing . If the issue still exists, please update this report by changing the Status of the "linux" task from "Incomplete" to "New". We appreciate your patience and understanding as we make this transition. Thanks!

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Leann,

I am running Ubuntu 7.10 on the Omnibook 7100. I am not planning to
upgrade to 8.x for this computer. I might however be able to test the
Live CD when it becomes available.

Kind greetings: Manfred

Leann Ogasawara schrieb:
> The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the
> upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would
> appreciate it if you could please test this newer 2.6.27 Ubuntu kernel.
> There are one of two ways you should be able to test:
>
> 1) If you are comfortable installing packages on your own, the linux-
> image-2.6.27-* package is currently available for you to install and
> test.
>
> --or--
>
> 2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer
> 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4.
> Please watch http://www.ubuntu.com/testing for Alpha5 to be announced.
> You should then be able to test via a LiveCD.
>
> Please let us know immediately if this newer 2.6.27 kernel resolves the
> bug reported here or if the issue remains. More importantly, please
> open a new bug report for each new bug/regression introduced by the
> 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please
> specifically note if the issue does or does not appear in the 2.6.26
> kernel. Thanks again, we really appreicate your help and feedback.
>
> ** Tags added: cft-2.6.27
>
>

ManfredBremen (noregrets60) wrote :

 Leann,

I just tested the live CD Alpha5 for Intrepid Ibex 8.10 (Intel x86) on my HP Omnibook 6100. The boot process works fine for about 1 minute. Then, the machine shuts down without further warning. It is just the same behavior as with earlier versions of Ubuntu.

As pointed out by other contributions, the bug is most likely on the hardware/BIOS side of the Omnibook 6100.

It would be great if that bug would be circumvented by Ubuntu. BUT: this is not really necessary since there are workarounds (disabling intel-rng.ko). Moreover, updating the BIOS obviously solved the problem as well.

Kind greetings: Manfred

MartenH (martenh) wrote :

I am running an Omnibook 6100 and have experienced this exact problem. I updated my BIOS a few days ago but am still unable to boot the live CD without the computer shutting down. I have only been able to boot once in about 20 tries. So a BIOS update did not solve the problem.

ManfredBremen (noregrets60) wrote :

Hi Marten

the posting by

 JeffreyEsquivelS wrote on 2007-08-20

contains the solution that worked for me. I did not try the BIOS update
myself.

Cheers: Manfred

MartenH (martenh) wrote :

Hi Manfred,

Thank you for the suggestion.

The problem is that the installation hangs for me as well, so I have no way
of installing, thus no way of moving files. But I will try it if I ever
mange to install it...

I'm thinking of installing some really old version like 6.x and upgrading
until it breaks.But it is a really annoying issue. Windows installs without
any problems so it must be the combination of kernel and hardware.

Regards,
Mårten

On Mon, Oct 6, 2008 at 7:11 PM, ManfredBremen <email address hidden>wrote:

> Hi Marten
>
> the posting by
>
> JeffreyEsquivelS wrote on 2007-08-20
>
> contains the solution that worked for me. I did not try the BIOS update
> myself.
>
> Cheers: Manfred
>
> --
> Omnibook 6100 turns off or freezes during boot up
> https://bugs.launchpad.net/bugs/89892
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Regards/Mvh,
Mårten Holmqvist

Confidentiality Notice: This e-mail transmission may contain confidential or
legally privileged information that is intended only for the individual or
entity named in the e-mail address. If you are not the intended recipient,
you are hereby notified that any disclosure, copying, distribution, or
reliance upon the contents of this e-mail is strictly prohibited and may be
unlawful. If you have received this e-mail in error, please notify the
sender immediately by return e-mail and delete all copies of this message.

ManfredBremen (noregrets60) wrote :

Hi Marten,

that is a good strategy.

Good luck! Manfred

MartenH schrieb:
> Hi Manfred,
>
> Thank you for the suggestion.
>
> The problem is that the installation hangs for me as well, so I have no way
> of installing, thus no way of moving files. But I will try it if I ever
> mange to install it...
>
> I'm thinking of installing some really old version like 6.x and upgrading
> until it breaks.But it is a really annoying issue. Windows installs without
> any problems so it must be the combination of kernel and hardware.
>
> Regards,
> Mårten
>
>
> On Mon, Oct 6, 2008 at 7:11 PM, ManfredBremen
> <email address hidden>wrote:
>
>
>> Hi Marten
>>
>> the posting by
>>
>> JeffreyEsquivelS wrote on 2007-08-20
>>
>> contains the solution that worked for me. I did not try the BIOS update
>> myself.
>>
>> Cheers: Manfred
>>
>> --
>> Omnibook 6100 turns off or freezes during boot up
>> https://bugs.launchpad.net/bugs/89892
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>>
>
>
>

Dave Ashton (g6gev) wrote :

The bug still exists in 8.10 kernel 2.6.27, so changeing status to New, as requested by Launchpad Janitor on 2008-08-11

Changed in linux:
status: Incomplete → New
Dave Ashton (g6gev) wrote :

As the above, (misspelled), comment suggests, I've just installed 8.10, (kernel 2.6.27-7), and the problem remains. I am using the M2.41 bios mentioned above, so this doesn't appear to fix the problem.

My workaround for the problem is as follows:

1. Install using the text based alternate installer CD, (this doesn't crash like the live CD).
2. Try to boot; this may take a few re-boots, mine boots about 25% of the time, (see note below).
3. Once you are looking at the desktop, open a terminal and type 'gksudo nautilus' to open the file manager with root access.
4. Navigate to the /lib/modules/2.6.nn-n-generic/kernel/drivers/char/hw-random/ and rename intel-rng.ko to intel-rng.ko.off.

Note: If you cannot get the system to boot at all in step 2, try this as an alternative:

2. Boot from a live CD with an old kernel. I used Damn Small Linux, but I guess an Edgy live CD may also work.
3. Rename the Intel-rng.ko file, as described above by ManfredBremen on 2007-08-23

You should now have a fully working system that boots every time.

One last thing, every once in a while, the regular Ubuntu updates will include a new kernel; this too will need the Intel-rng.ko file renaming as above. Just choose the older kernel version from the Grub boot menu, and proceed from step 3 as before.

Good luck,

Dave

oddeirik (oddeirik) wrote :

A better solution than renaming intel-rng.ko would be to blacklist the module. This way it works, even after a kernel upgrade.

Create the file "/etc/modprobe.d/blacklist-custom", open it in an editor and add the line:

"blacklist intel-rng"

Save and exit. No more having to remember to rename the file after a kernel upgrade.

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

andso (andso) wrote :

i just confirm when upgrading xubuntu 8.04 and the issue given by oddeirik is OK
on french forum http://forum.ubuntu-fr.org/viewtopic.php?pid=2433605#p2433605

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Triaged a while ago but has not had any updated comments for quite some time. Please let us know if this issue remains in the current Ubuntu release, http://www.ubuntu.com/getubuntu/download . If the issue remains, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: Triaged → Incomplete
ManfredBremen (noregrets60) wrote :

I think this bug can go out. The work-arounds work OK and the notebook is now pretty outdated. I still have it somewhere but will not upgrade it to newer versions.

Yes. Same issue with 9.04 on my Dell Vostro 1310.

-Eric

On 3/13/10, ManfredBremen <email address hidden> wrote:
> I think this bug can go out. The work-arounds work OK and the notebook
> is now pretty outdated. I still have it somewhere but will not upgrade
> it to newer versions.
>
> --
> Omnibook 6100 turns off or freezes during boot up
> https://bugs.launchpad.net/bugs/89892
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Jeremy Foshee (jeremyfoshee) wrote :

I've marked the bug invalid. Should this still be seen as needing some work, it can be set to a different status.

Thanks!

~JFo

Changed in linux (Ubuntu):
status: Incomplete → Invalid
Erik Larson (ejlarson) wrote :

I just installed Ubuntu 10.04 on my Omnibook 6100 and have this exact same problem. I am VERY new to Linux!! I wanted to post this message so people know even the latest version of Linux has the same issue with Omnibooks. Thanks guys! Great forum!!

Erik Larson (ejlarson) wrote :

SORRY!!!! I meant to add that the above fix resolved my problem as well. Boots perfect now!!

"moving /lib/modules/2.6.22-9-generic/kernel/drivers/char/hw_random/intel-rng.ko to some other place where it can't be found at boottime."

Mårten Behm (marten-behm) wrote :

Hi,

Great to find this thread! Been struggling quite a bit with different distributions on this machine in order to find something that works. A really odd observation, as it seems to me, is that I managed to get LXDE Mint 10 Gnome to work perfectly in this respect, but not Ubuntu. Unfortunately I get the problem when I try Linux Mint 10 LXDE release candiadate which is the one I would need for my 256 mb RAM. But I will try BIOS upgrade and disabling the kernel module that seems to be acting up. Then I might be able to go to Lubuntu!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers